%global srcname iconv


Name:       erlang-%{srcname}
Version:    1.0.5
Release:    2%{?dist}

Summary:    Fast encoding conversion library for Erlang / Elixir
License:    ASL 2.0
URL:        https://github.com/processone/iconv/
Source0:    https://github.com/processone/iconv/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:   erlang-p1_iconv = %{version}-%{release}
Obsoletes:  erlang-p1_iconv <= 1.0.0-2

BuildRequires: erlang-p1_utils >= 1.0.9
BuildRequires: erlang-rebar

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
Erlang bindings for libiconv. This is used by ejabberd.


%prep
%autosetup -n iconv-%{version}


%build
%configure --enable-nif
%{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/iconv.so $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sat Jul 29 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 (#1434801).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3 (#1398606).

* Thu Sep 15 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.2-1
- Update to 1.0.2 (#1365072).

* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.1-1
- Update to 1.0.1 (#1354087).

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-4
- Add a debuginfo package for the NIF code.

* Tue Mar 15 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-3
- Update to use the new Erlang macros.

* Thu Mar 10 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Initial release.
